############################################################################
#	Copyright (c) 1985-96 Phoenix Technologies Ltd.
#	This program contains proprietary and confidential information. All
#	rights reserved except as may be permitted by prior written consent.
#
#
#		  R E V I S I O N    H I S T O R Y
#	$Log:   K:/nb/archive/nubios/crisis/std.600/make.mav  $
#	
#	   Rev 1.8   24 Sep 2008 11:02:34   JackLi
#	$START:     ---------------------------------------------------------
#	$REPORT:	ECR025587    
#	$AUTHOR:	Jack Li
#	$REVIEWERS:	Binbin Ju, Leo Zhang
#	$SCOPE:		Support to create crisis disk under Vista.
#	$REQUIRES:	CRISIS\STD.600\FILEREV.DFL -r1.81
#	$GENERAL:	Support to create crisis disk under Vista.
#	$INSTALL:	None
#	$TECHNICAL:	Add a kernel driver to support to creeate crisis disk 
#	            under Vista.
#	
#	   Rev 1.7   31 Jul 2001 17:00:58   BPBuildGp
#	$START:     ---------------------------------------------------------
#	$REPORT:    ECR=IRV03376
#	$AUTHOR:    Benny Yiu
#	$REVIEWERS: MichaelPepper, Ken Smith
#	$SCOPE:     All BIOS builds             
#	$REQUIRES: 
#		    script.600\build.mak -r1.152
#		    script.600\bootblok.mak -r1.35
#		    script.600\filerev.dfl -r1.77
#		    crisis\std.600\fulldos.bat -r1.0
#		    crisis\std.600\minidos.bat -r1.0
#	 	    crisis\std.600\filerev.dfl -r1.57
#	
#		    obsolete crisdisk.bat -r1.7
#	
#	$GENERAL:   Added support for creating FULLDOS under Nmaker Crisis.
#	$INSTALL:   
#	
#	$TECHNICAL: 
#		1) Modified BOOTBLOK.MAK in SCRIPT.600 to generate a FULLDOS.TXT.
#		2) Modified BUILD.MAK in SCRIPT.600 to detect the FULLDOS.TXT in 
#		bootblok directory then perform a FULLDOS crisdisk.zip.
#		3) Obsolesced crisdisk.bat in the crisis\std.600.
#	        4) Created fulldos.bat and minidos.bat in crisis\std.600 for
#	        crisdisk.zip. Either fulldos.bat or minidos.bat are copied to
#	        crisdisk.bat depending on the type of crisdisk.zip being created.
#	
#	      
#	
#	   Rev 1.6   15 Sep 2000 19:07:24   JulianTerry
#	$START:     ---------------------------------------------------------
#	$REPORT:    ECR=SCL01827, ECR=IRV02261
#	$AUTHOR:    Julian Terry
#	$REVIEWERS: Jeff Underhill, Richard Jenkins
#	$SCOPE:     Builds using crisis recovery
#	$REQUIRES:  None
#	$GENERAL:   NMAKER CRISIS will now test for the presence of FLASH2000
#	            in a build.  If found it will create a crisis disk that
#	            contains BIOS.WPH and PHLASH16.EXE.  Otherwise it will
#	            create a crisis disk containing BIOS.ROM, PLATFORM.BIN
#	            and PHLASH.EXE.
#	$INSTALL:   None
#	$TECHNICAL:      SCRIPT.600\BUILD.MAK
#	            Modified the section that creates the crisis zip file.
#	            It now tests for the presence of PNPNVS=FLASH\NUFLASH in
#	            your MAKE.MAK file.  If found, it will put BIOS.WPH and
#	            PHLASH16.EXE in the zip file, otherwise in will put
#	            BIOS.ROM, PLATFORM.BIN and PHLASH.EXE in the zip file.
#				     NUTOOLS\CRISIS\MINIDOS.ASM
#				Added several additional functions required to support
#	            PHLASH16.EXE.  These were changes made by John
#	            Hardesty and are described as:
#	             Fixed comment char from // to ;;
#	             Added entry for GetFileSize into vector table
#	             IRV02261 - Added GetFileSize. Needed by WinPhlash
#	             version of Phlash.exe (i.e. PHLASH16)
#	            MINIDOS now attempts to exec PHLASH.EXE.  If it fails,
#	            it attempts to exec PHLASH16.EXE.
#				     CRISIS\STD.600\MINIDOS.SYS
#	            Updated to include the new MINIDOS.ASM changes.
#					 CRISIS\STD.600\PHLASH16.EXE
#	            Added to crisis directory to allow phlashing with
#	            FLASH2000.
#	                 CRISIS\STD.600\CRISDISK.BAT
#	            Changed to check for the presence of certain files
#	            in the CRISDISK.ZIP file.  If PHLASH16.EXE exists then
#	            it will copy BIOS.WPH and PHLASH16.EXE to the crisis
#	            disk.  Otherwise it will copy BIOS.ROM, PLATFORM.BIN
#	            and PHLASH.EXE to the crisis disk.
#	                 CRISIS\STD.600\WINCRIS.EXE
#	            Changed to check for the presence of certain files
#	            in the CRISDISK.ZIP file.  If PHLASH16.EXE exists then
#	            it will copy BIOS.WPH and PHLASH16.EXE to the crisis
#	            disk.  Otherwise it will copy BIOS.ROM, PLATFORM.BIN
#	            and PHLASH.EXE to the crisis disk.  NOTE THAT THIS
#	            VERSION DOES NOT WORK FROM AN OEM TIP WITH
#	            FLASH2000.  FUNCTIONALITY WITH OLD FLASH IS UNAFFECTED.
#	            SEE ECR-SCL01867.
#	                 NUTOOLS\WINCRIS\WINCRISDLG.CPP
#	            See WINCRIS.EXE above.  Main change involved creating
#	            an alternative file list for the the FLASH2000 crisis
#				disk and using that if PHLASH16.EXE is present in the
#				working directory.
#	                  CRISIS\STD.600\MAKE.MAK
#	            Added PHLASH16.EXE to make.mak                 
#	
#	
#	   Rev 1.5   06 Oct 1998 11:37:20   RonMaor
#	$START:     ---------------------------------------------------------
#	$REPORT:    SPR=IRV00747
#	$AUTHOR:    Ron Maor
#	$REVIEWERS: Al Rickey, Mike Christensen
#	$SCOPE:     Crisis Recovery Disk creation
#	$REQUIRES:  
#	$GENERAL:   
#	$INSTALL:   
#	$TECHNICAL: Added wincris.exe and wincris.hlp to the LOCAL_BINS list.
#	
#	
#	   Rev 1.4   01 Jul 1997 10:58:36   KenSmith
#	ECR #4722 LOCAL_BINS list for binary file identification
#	
#	   Rev 1.3   16 Dec 1996 13:38:56   MichaelWuerth
#	No change.
#	
#	   Rev 1.2   16 Sep 1996 19:16:40   RobertLusinsky
#	Updated the copyright message.
#	
#	   Rev 1.1   16 Sep 1996 19:16:00   RobertLusinsky
#	Renamed from .405 to .600
#	
#	   Rev 1.0   13 Mar 1995 12:31:56   RonMaor
#	
#	
############################################################################

MAKEFILEIDSTR=$$Header:   K:/nb/archive/nubios/crisis/std.600/make.mav   1.8   24 Sep 2008 11:02:34   JackLi  $$

LOCAL_BINS=	crisboot.bin phlash.exe makeboot.exe minidos.sys \
		minidos.bat fulldos.bat wincris.exe wincris.hlp PHLASH16.exe \
		wincris.sys


all:
